com.sun.research.ws.wadl

## Class Resources

- java.lang.Object
- - com.sun.research.ws.wadl.Resources

    public class Resources
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}resource" maxOccurs="unbounded"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="base" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Object>` `any`
`protected String` `base`
`protected List<Doc>` `doc`
`protected List<Resource>` `resource`

### Constructor Summary

Constructors
Constructor and Description
`Resources()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getAny()` Gets the value of the any property.
`String` `getBase()` Gets the value of the base property.
`List<Doc>` `getDoc()` Gets the value of the doc property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`List<Resource>` `getResource()` Gets the value of the resource property.
`void` `setBase(String value)` Sets the value of the base property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### resource

    protected List<Resource> resource

#### any

    protected List<Object> any

#### base

    protected String base

### Constructor Detail

#### Resources

    public Resources()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getResource

    public List<Resource> getResource()

Gets the value of the resource property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resource property.

For example, to add a new item, do as follows:

        getResource().add(newItem);

Objects of the following type(s) are allowed in the list `Resource`

#### getAny

    public List<Object> getAny()

Gets the value of the any property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

For example, to add a new item, do as follows:

        getAny().add(newItem);

Objects of the following type(s) are allowed in the list `Object` `Element`

#### getBase

    public String getBase()

Gets the value of the base property.

Returns:
  possible object is `String`

#### setBase

    public void setBase(String value)

Sets the value of the base property.

Parameters:
  `value` - allowed object is `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null